whirr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrei Savu (Issue Comment Edited) (JIRA)" <j...@apache.org>
Subject [jira] [Issue Comment Edited] (WHIRR-442) release 0.6.0 is in breach of the AL2.0 and general Apache rules in regards to the inclusion of Voldemort
Date Wed, 07 Dec 2011 18:26:40 GMT

    [ https://issues.apache.org/jira/browse/WHIRR-442?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13164591#comment-13164591
] 

Andrei Savu edited comment on WHIRR-442 at 12/7/11 6:25 PM:
------------------------------------------------------------

+1 

I had to add the following line to pom.xml (RAT config): 
{noformat}<exclude>**/*.iml </exclude> <!-- IDEA project files -->{noformat}

Later on we should also update the How to Release / How to Contribute wiki pages to mention
-Pvoldemort. 
                
      was (Author: savu.andrei):
    +1 I had to add <exclude>**/*.iml</exclude> (IDEA project file) to pom.xml
(RAT config). Later on we should also update the How to Release / How to Contribute wiki pages
to mention -Pvoldemort. 
                  
> release 0.6.0 is in breach of the AL2.0 and general Apache rules in regards to the inclusion
of Voldemort
> ---------------------------------------------------------------------------------------------------------
>
>                 Key: WHIRR-442
>                 URL: https://issues.apache.org/jira/browse/WHIRR-442
>             Project: Whirr
>          Issue Type: Bug
>    Affects Versions: 0.6.0
>            Reporter: Patrick Hunt
>            Assignee: Tom White
>            Priority: Blocker
>             Fix For: 0.7.0
>
>         Attachments: WHIRR-442.patch
>
>
> Release 0.6.0 is including the Voldemort jar w/o the required notices as specified by
section 4d of the ASL2.0
> https://github.com/voldemort/voldemort/blob/master/LICENSE
> Additionally Voldemort requires a "category X" licensed work which is not allowed by
Apache rules, specifically Voldemort uses "BDB java edition" which is category X. See previous
discussions on this:
> https://issues.apache.org/jira/browse/LEGAL-99
> https://issues.apache.org/jira/browse/LEGAL-113
> http://www.apache.org/legal/resolved.html
> The following has to happen before 0.7.0:
> 1) remove all jars from the source release artifact.
> ./services/voldemort/lib/linkedin-voldemort-0.90.RC3.jar
> I also notice:
> ./services/hadoop/lib/hadoop-test-0.20.3-SNAPSHOT.jar
> ./services/cassandra/lib/apache-cassandra-0.7.0.jar
> ./services/cassandra/lib/libthrift-0.5.jar
> 2) do not compile or include dependencies of Voldemort as part of any Whirr release,
whether source or binary. I do not think that the Voldemort whirr service itself need be dropped.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message